<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xsl xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml">
	<xsl:output method="xml" indent="yes"
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
		doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
		media-type="text/html" encoding="UTF-8"
		omit-xml-declaration="yes" xml:lang="fr" xml:space="preserve" />
	<xsl:param name="_lang" />
	<xsl:param name="baseActionURL" />
	<xsl:param name="absActionURL" />
	<xsl:param name="_pas">10</xsl:param>
	<xsl:param name="debug">0</xsl:param>
	<xsl:param name="_oid" />
	<xsl:param name="_oidSpecialite" />
	<xsl:param name="_profil">profilv3</xsl:param>
	<xsl:param name="_recherche">0</xsl:param>
	<xsl:param name="baseMediaURL">media/</xsl:param>
	<!-- recuperation des param pour les valeurs des formulaires -->
	<xsl:param name="domaine" />
	<xsl:param name="diplome" />
	<xsl:param name="title" />
	<xsl:param name="intitule" />
	<xsl:param name="basket" select="0" />

	<!-- Trouver le Fichier des constantes -->
	<xsl:variable name="variablesExt"
		select="document('variablesExt.xml')" />
	<xsl:variable name="langueCDM" select="/CDM/@language" />
	<!-- FICHIERS INCLUDE UTILISEES   -->
	<xsl:include href="composants/commun/commun.xsl" />
	<xsl:include href="composants/commun/xhtml.xsl" />
	<xsl:include href="composants/orgUnit.cdmfr.xsl" />
	<xsl:include href="composants/properties.cdmfr.xsl" />
	<xsl:include href="composants/schemaEtudes.cdmfr.xsl" />
	<xsl:include href="composants/domaines.cdmfr.xsl" />
	<xsl:include href="composants/rechercheAvancee.cdmfr.xsl" />
	<xsl:include href="composants/accueil.cdmfr.xsl" />
	
	<xsl:template match="/">
		<xsl:call-template name="html" />
	</xsl:template>
	<xsl:template name="user-titreFenetre">
		<xsl:value-of select="$variablesExt/variables/pageTitle/header[@type='0']/value[@lang=$_lang]"/>
	</xsl:template>
	<xsl:template name="user-navigation">
		<div id="navigation">
			<ul>
				<li class="actif"><xsl:value-of select="$variablesExt/variables/navigationVar/link[@type='20']/navigationItem/value[@lang=$_lang]"/></li>
				<li><a href="{$absActionURL}/{$_lang}/liste"><xsl:value-of select="$variablesExt/variables/navigationVar/link[@type='21']/navigationItem/value[@lang=$_lang]"/></a></li>
				<li>
					<a href="{$absActionURL}/{$_lang}/recherche"><xsl:value-of select="$variablesExt/variables/navigationVar/link[@type='22']/navigationItem/value[@lang=$_lang]"/></a>
				</li>
			</ul>
		</div>
	</xsl:template>
	<xsl:template name="user-titre">
		<xsl:value-of select="$variablesExt/variables/navigationVar/link[@type='20']/navigationItem/value[@lang=$_lang]"/>
	</xsl:template>
	
	<xsl:template name="user-ariane"><xsl:value-of select="$variablesExt/variables/navigationVar/link[@type='20']/navigationItem/value[@lang=$_lang]"/></xsl:template>

	<xsl:template name="user-col_gauche">
	
		<!-- Texte d'accueil -->
		<xsl:call-template name="tAccueil">
			<xsl:with-param name="pLang" select="$_lang"/>
		</xsl:call-template>
		
		<!-- Schéma des études -->
		<div id="rechercher_schema">
			<h2><xsl:value-of select="$variablesExt/variables/titreVar/titreRub[@type='36']/value[@lang=$_lang]"/></h2>
			<xsl:call-template name="tSchemaEtudes"/>
		</div>
		
		<!-- Recherche avancée -->
		<div id="rechercher_moteur">
			<h2><xsl:value-of select="$variablesExt/variables/titreVar/titreRub[@type='46']/value[@lang=$_lang]"/></h2>
			<xsl:call-template name="tRechercheAvancee"/>
		</div>
		
	</xsl:template>
	
	<xsl:template name="user-col_droite">
		<xsl:call-template name="tUser-col_droite">
			<xsl:with-param name="pNom" select="/CDM/orgUnit[1]/orgUnitName/text[@language=$_lang]"/>
			<xsl:with-param name="pContactData" select="'OK'"/>
			<xsl:with-param name="pLienLibelle" select="/CDM/orgUnit[1]/webLink/linkName"/>
			<xsl:with-param name="pLienURL" select="/CDM/orgUnit[1]/webLink/href"/>
		</xsl:call-template>
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libEnSavoirPlus'"/></xsl:call-template></h3>
		<xsl:call-template name="tLienEnSavoirPlus">
			<xsl:with-param name="pLienURL">
				<xsl:call-template name="tOrgUnitWebLinkHref"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
</xsl:stylesheet>